\documentclass[a4paper,twoside,10pt]{report}
\usepackage{doc-setup}
\usepackage{bookman}
%\usepackage{geometry}
\usepackage{a4}
\usepackage{layout}
\usepackage{listings}
% \usepackage{verbatim}
%\usepackage{helvet}
\usepackage{vpage}


\def\module{link}
\def\modules{links}
\def\link{node}
\def\links{nodes}

%\setlength{\marginparwidth}{5cm}
%\setlength{\oddsidemargin}{1cm}
%\setlength{\evensidemargin}{4.5cm}

\produceChapterPics
\setpapersize{A4}
\setmarginsrb{7cm}{4cm}{2cm}{2cm}{1cm}{0.5cm}{3cm}{0.5cm}

\begin{document}
  %\layout
  \mytitlepage
  \pagestyle{empty}
  \pagenumbering{roman}
  \input abstract

%\textwidth 12.2cm
%\textheight 26cm

  \parskip=0pt
  \tableofcontents
  \listoffigures
  \parskip=0.3\baselineskip
  \addtolength\headwidth{2cm}

  %\newpage{\hspace{1pt}}
       %\begin{pspicture}(0,0)
  %\rput[rb](-5.5cm,2){
       %  \psline[linecolor=black](0,0.1)(0,0.2)
       %  \psline[linecolor=black](-0.1,0)(-0.2,0)
       %}
       %\end{pspicture}
  \pagestyle{mypagestyle}
  \pagenumbering{arabic}
  %\input introduction.tex

  \input structure

  %\newpage\hspace{10pt}
  \input modular
  \input relations
  \newpage\hspace{10pt}
  \input communication_design
  \input datalink
  \newpage\hspace{10pt}
  \input global_algorithm
  \input hybrid_network
%  \newpage
%  \newpage\hspace{10pt}
%  \cleardoublepage
  \input future_work
  \input conclusion

% \bibliographystyle{unsrt}
\bibliographystyle{alpha}
\bibliography{references}
\end{document}
